<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class salesmanreport extends MY_Controller {

    function __construct() {
        parent::__construct();
    }

    public function index() {
//         $data['categories'] = $this->_getProdCategories();
        $this->load->view('settings/header');
        $this->load->view('sales/salesmanreport_view',null);
        $this->load->view('settings/footer');
    }
//waiter or  tariff report
    function getsalesmansname() {
         $this->load->model('sales/salesmanreport_model');
 
         $datefrom = $this->input->post('datefrom');
         $dateto = $this->input->post('dateto');
         $property = $this->input->post('property');
         $this->load->model('sales/salesmanreport_model');
     //  var_dump($property);
      
        echo $this->salesmanreport_model->getsalesmansname($datefrom,$dateto, $property);
//         $var= $this->salesmanreport_model->getsalesmansname($datefrom,$dateto);
//         var_dump($var);

    }

 
    function exportcsv()
{


        $file="salesmanreport.csv";
            header("Content-Disposition: attachment; filename=" . urlencode($file));
            header("Content-Type: application/force-download");
            header("Content-Type: application/octet-stream");
            header("Content-Type: application/download");
            header("Content-Description: File Transfer");
            header("Content-type: application/csv");
            header("Pragma: no-cache");
            header("Expires: 0");

            $export= $this->input->post('exportdata');


$this->load->helper('download');
force_download($file, $export);
}

 
}





